curl --request POST \
--url https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/*+json' \
--data '
{
"filters": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"skillId": "<string>",
"transactionId": "<string>"
},
"sendEmailNotification": true
}
'import requests
url = "https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps"
payload = {
"filters": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"skillId": "<string>",
"transactionId": "<string>"
},
"sendEmailNotification": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/*+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/*+json'},
body: JSON.stringify({
filters: {
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
skillId: '<string>',
transactionId: '<string>'
},
sendEmailNotification: true
})
};
fetch('https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Export von Vorgangsschritten erstellen
Startet einen asynchronen CSV-Export von Vorgangsschrittdaten aus dem Business Processing Reporting Warehouse. Die Antwort enthält eine requestId, mit der Sie den Exportstatus abfragen und die Ergebnisdateien herunterladen können, sobald der Export erfolgreich abgeschlossen ist. Den vollständigen Workflow und die CSV-Spaltenreferenz finden Sie unter Business Processing Reporting.
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Body
Antwort
OK
Antwort, die nach dem Erstellen einer Exportanfrage für Vorgangsschritte zurückgegeben wird. Enthält die request ID, die zum Abfragen des Exportstatus und Herunterladen der Ergebnisdateien verwendet wird.
Eindeutige Kennung der Anfrage zur Berichtserstellung. Übergeben Sie sie an die Status- und Ergebnisendpunkte.
War diese Seite hilfreich?
